Package org.drinkless.tdlib

# Class TdApi.StakeDiceState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StakeDiceState

Enclosing class:
  `TdApi`

public static class TdApi.StakeDiceState extends TdApi.Object
Describes state of the stake dice.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `currentStreak`
  The number of rolled sixes towards the streak; 0-2.
  `int[]`
  `prizePerMille`
  The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 1-6 correspondingly; may be empty if the stake dice can't be sent by the current user.
  `long`
  `stakeToncoinAmount`
  The Toncoin amount that was staked in the previous roll; in the smallest units of the currency.
  `String`
  `stateHash`
  Hash of the state to use for sending the next dice; may be empty if the stake dice can't be sent by the current user.
  `int`
  `streakPrizePerMille`
  The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 6 three times in a row with the same stake.
  `long[]`
  `suggestedStakeToncoinAmounts`
  The amounts of Toncoins that are suggested to be staked; in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StakeDiceState()`
  Describes state of the stake dice.
  `StakeDiceState(String stateHash, long stakeToncoinAmount, long[] suggestedStakeToncoinAmounts, int currentStreak, int[] prizePerMille, int streakPrizePerMille)`
  Describes state of the stake dice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stateHash

    public String stateHash
    Hash of the state to use for sending the next dice; may be empty if the stake dice can't be sent by the current user.

  - ### stakeToncoinAmount

    public long stakeToncoinAmount
    The Toncoin amount that was staked in the previous roll; in the smallest units of the currency.

  - ### suggestedStakeToncoinAmounts

    public long[] suggestedStakeToncoinAmounts
    The amounts of Toncoins that are suggested to be staked; in the smallest units of the currency.

  - ### currentStreak

    public int currentStreak
    The number of rolled sixes towards the streak; 0-2.

  - ### prizePerMille

    public int[] prizePerMille
    The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 1-6 correspondingly; may be empty if the stake dice can't be sent by the current user.

  - ### streakPrizePerMille

    public int streakPrizePerMille
    The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 6 three times in a row with the same stake.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StakeDiceState

    public StakeDiceState()
    Describes state of the stake dice.

  - ### StakeDiceState

    public StakeDiceState(String stateHash, long stakeToncoinAmount, long[] suggestedStakeToncoinAmounts, int currentStreak, int[] prizePerMille, int streakPrizePerMille)
    Describes state of the stake dice.
    Parameters:
      `stateHash` - Hash of the state to use for sending the next dice; may be empty if the stake dice can't be sent by the current user.
      `stakeToncoinAmount` - The Toncoin amount that was staked in the previous roll; in the smallest units of the currency.
      `suggestedStakeToncoinAmounts` - The amounts of Toncoins that are suggested to be staked; in the smallest units of the currency.
      `currentStreak` - The number of rolled sixes towards the streak; 0-2.
      `prizePerMille` - The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 1-6 correspondingly; may be empty if the stake dice can't be sent by the current user.
      `streakPrizePerMille` - The number of Toncoins received by the user for each 1000 Toncoins staked if the dice outcome is 6 three times in a row with the same stake.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR